<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>ToDoList module &mdash; Documentation Kivy_Exercice v1.0.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="next" title="color_text_Correction module" href="color_text_Correction.html" />
    <link rel="prev" title="DetectClavier module" href="DetectClavier.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Kivy_Exercice
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">framework_kivy_1</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="BoxLayout.html">BoxLayout module</a></li>
<li class="toctree-l2"><a class="reference internal" href="BoxLayoutColorArrondi.html">BoxLayoutColorArrondi module</a></li>
<li class="toctree-l2"><a class="reference internal" href="Calculatrice.html">Calculatrice module</a></li>
<li class="toctree-l2"><a class="reference internal" href="Calculatrice_Obfusc.html">Calculatrice_Obfusc module</a></li>
<li class="toctree-l2"><a class="reference internal" href="DetectClavier.html">DetectClavier module</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">ToDoList module</a></li>
<li class="toctree-l2"><a class="reference internal" href="color_text_Correction.html">color_text_Correction module</a></li>
<li class="toctree-l2"><a class="reference internal" href="main.html">main module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Kivy_Exercice</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">framework_kivy_1</a></li>
      <li class="breadcrumb-item active">ToDoList module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/ToDoList.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-ToDoList">
<span id="todolist-module"></span><h1>ToDoList module<a class="headerlink" href="#module-ToDoList" title="Lien permanent vers cette rubrique"></a></h1>
<dl class="py class">
<dt class="sig sig-object py" id="ToDoList.ColoredButton">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">ToDoList.</span></span><span class="sig-name descname"><span class="pre">ColoredButton</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.ColoredButton" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">Button</span></code></p>
<p>Classe Button avec une couleur de fond personnalisée.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="ToDoList.ColoredCheckBox">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">ToDoList.</span></span><span class="sig-name descname"><span class="pre">ColoredCheckBox</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.ColoredCheckBox" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">CheckBox</span></code></p>
<p>Classe CheckBox avec une couleur de fond personnalisée.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="ToDoList.ColoredLabel">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">ToDoList.</span></span><span class="sig-name descname"><span class="pre">ColoredLabel</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.ColoredLabel" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">Label</span></code></p>
<p>Classe Label avec une couleur de texte personnalisée.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="ToDoList.ColoredTextInput">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">ToDoList.</span></span><span class="sig-name descname"><span class="pre">ColoredTextInput</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.ColoredTextInput" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">TextInput</span></code></p>
<p>Classe TextInput avec une couleur de fond personnalisée.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="ToDoList.RoundedColorBoxLayout">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">ToDoList.</span></span><span class="sig-name descname"><span class="pre">RoundedColorBoxLayout</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">color</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">(0.2,</span> <span class="pre">0.2,</span> <span class="pre">0.2,</span> <span class="pre">1)</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">locked</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.RoundedColorBoxLayout" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">BoxLayout</span></code></p>
<dl class="py attribute">
<dt class="sig sig-object py" id="ToDoList.RoundedColorBoxLayout.minimum_size">
<span class="sig-name descname"><span class="pre">minimum_size</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'0dp'</span></em><a class="headerlink" href="#ToDoList.RoundedColorBoxLayout.minimum_size" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Automatically computed minimum size needed to contain all children.</p>
<div class="versionadded">
<p><span class="versionmodified added">Nouveau dans la version 1.10.0.</span></p>
</div>
<p><a class="reference internal" href="#ToDoList.RoundedColorBoxLayout.minimum_size" title="ToDoList.RoundedColorBoxLayout.minimum_size"><code class="xref py py-attr docutils literal notranslate"><span class="pre">minimum_size</span></code></a> is a
<code class="xref py py-class docutils literal notranslate"><span class="pre">ReferenceListProperty</span></code> of
(<code class="xref py py-attr docutils literal notranslate"><span class="pre">minimum_width</span></code>, <code class="xref py py-attr docutils literal notranslate"><span class="pre">minimum_height</span></code>) properties. It is read
only.</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="ToDoList.TodoListApp">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">ToDoList.</span></span><span class="sig-name descname"><span class="pre">TodoListApp</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.TodoListApp" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">App</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="ToDoList.TodoListApp.add_task">
<span class="sig-name descname"><span class="pre">add_task</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">instance</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.TodoListApp.add_task" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Fonction pour ajouter une nouvelle tâche à la liste.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>instance</strong> – Instance du bouton qui appelle la fonction.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ToDoList.TodoListApp.build">
<span class="sig-name descname"><span class="pre">build</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.TodoListApp.build" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Fonction de construction de l’interface graphique de l’application.</p>
<dl class="field-list simple">
<dt class="field-odd">Renvoie<span class="colon">:</span></dt>
<dd class="field-odd"><p>Retourne la disposition principale de l’interface graphique.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ToDoList.TodoListApp.delete_task">
<span class="sig-name descname"><span class="pre">delete_task</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">instance</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.TodoListApp.delete_task" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Supprime une tâche de l’interface graphique et du magasin JSON.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>instance</strong> – Instance du bouton qui appelle la fonction.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ToDoList.TodoListApp.load_tasks">
<span class="sig-name descname"><span class="pre">load_tasks</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.TodoListApp.load_tasks" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Charge les tâches existantes depuis le magasin JSON et les ajoute à l’interface graphique.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="ToDoList.TodoListApp.on_checkbox_active">
<span class="sig-name descname"><span class="pre">on_checkbox_active</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">instance</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#ToDoList.TodoListApp.on_checkbox_active" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Gère l’activation/désactivation de la case à cocher d’une tâche.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>instance</strong> – Instance de la case à cocher qui a changé d’état.</p></li>
<li><p><strong>value</strong> – Nouvel état de la case à cocher (activée ou désactivée).</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Pied de page">
        <a href="DetectClavier.html" class="btn btn-neutral float-left" title="DetectClavier module" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Précédent</a>
        <a href="color_text_Correction.html" class="btn btn-neutral float-right" title="color_text_Correction module" accesskey="n" rel="next">Suivant <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Salaun.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>